POST/authtoken

Authentication

This call authenticates the validity of a username/password combination. If the authentication is successful, a valid access token is issued. Use the username and password provided to you in your EVENTS API packet.
POST/authtoken

Mandatory Fields

  • userName
  • password

Bearer Token Authentication

The access token must be appended to the 'Authorization Header' as depicted in the example below:

Authorization: Bearer A90324XXZUZUgpO0dd6npHcM83CJ...

Parameters

NameInTypeRequiredDescription
» userNamebodystringRequiredThe user's name (e.g., user@example.com)
» passwordbodystringRequiredThe user's password

Responses

StatusMeaningDescriptionSchema
200OKSuccessful authentication
401UnauthorizedInvalid credentialsNone
404Not FoundNo user found with username: {userName}None
500Internal Server ErrorInternal Server ErrorNone

Code Samples

# You can also use wget
curl -X POST /authtoken \
  -H 'Content-Type: application/x-www-form-urlencoded' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Body parameter

{
  "userName": "",
  "password": ""
}

Example responses

200 Response
{
  "token": "*********",
  "isAdmin": false
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.